"""
Generated by 'django-admin startproject' using Django 1.11.11.
"""

import os,json

path_json=os.path.dirname(os.path.dirname(os.path.abspath(__file__)))
with open(path_json+'\\VodafoneBotBackend\\config.json') as config:
    config=json.load(config)

BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))

# SECURITY WARNING: keep the secret key used in production secret!
SECRET_KEY = '4m7-#6t$&uvh4x%^oecpq&(v*d-+#5$y#vqkg50%ncss_2m703'

# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = True

ALLOWED_HOSTS = ["127.0.0.1","chatbotframework.paxcel.net"]


INSTALLED_APPS = [
    'django.contrib.admin',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions'
]

MIDDLEWARE = [
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'corsheaders.middleware.CorsMiddleware',
    'django.middleware.common.CommonMiddleware',

]
ROOT_URLCONF = 'VodafoneBotBackend.urls'

TEMPLATES = []

WSGI_APPLICATION = 'VodafoneBotBackend.wsgi.application'

# Password validation
AUTH_PASSWORD_VALIDATORS = [
    {
        'NAME': 'django.contrib.auth.password_validation.UserAttributeSimilarityValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.MinimumLengthValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.CommonPasswordValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.NumericPasswordValidator',
    },
]

LANGUAGE_CODE = 'en-us'

TIME_ZONE = 'UTC'

USE_I18N = True

USE_L10N = True

USE_TZ = True


STATIC_URL = '/static/'

CORS_ALLOW_HEADERS = (
   'x-requested-with',
   'content-type',
   'accept',
   'origin',
   'authorization',
   'x-csrftoken',
   'access-control-allow-origin'
)

CORS_ORIGIN_ALLOW_ALL = True
